require 'faraday'
require 'strife/error'

module Strife
  module Response
    class RaiseError < Faraday::Response::Middleware
      private
      def on_complete(response)
        if error = Strife::Error.from_response(response)
          raise error
        end
      end
    end
  end
end
